summaryrefslogtreecommitdiff
path: root/cad
AgeCommit message (Expand)AuthorFilesLines
2016-10-08Import iverilog (Icarus Verilog) 10.1.1 as cad/iverilogkamil8-0/+182
2016-10-08Update cad/verilog (icarus verilog) from 0.9.7 to 10.1.1kamil6-135/+42
2016-10-08Update cad/covered from 0.4.7 to 0.7.10kamil5-123/+156
2016-10-08Drop conflict with nonexistent covered-currentkamil1-3/+1
2016-10-08Detach the cad/verilog-current dependencykamil1-3/+3
2016-10-08Drop covered-currentkamil6-273/+0
2016-10-08Detach cad/covered-currentkamil1-2/+1
2016-10-08Remove verilog-currentkamil8-183/+0
2016-10-08Detach cad/verilog-currentkamil1-2/+1
2016-10-07Revbump post boost updateadam3-4/+6
2016-09-25add GCC_REQD+= 4.7 as the package uses -std=c++11 flagplunky1-1/+4
2016-09-25add gettext to USE_TOOLSplunky1-2/+2
2016-09-22Remove redundent/unnecessary .include lines, and PYDISTUTILSPKG= yes, thanks...mef1-5/+1
2016-09-21Fix reversed assignement, pointed out by he@ (thanks !)bouyer3-6/+6
2016-09-20Remove url2pkg marker.wiz1-2/+1
2016-09-19 - Converting PLIST to ${EGG_INFODIR}. Also add/convert .include lang/python/...mef2-8/+11
2016-09-16use -delete for POSIX complianceplunky1-2/+2
2016-09-16Remove cad/gwave.wiz6-101/+1
2016-09-15Remove unsupported configure arguments.wiz1-6/+1
2016-09-15Change to guile20gdt1-2/+2
2016-09-15After guile's and guile20's installation prefixes have changed, it's timewiz2-4/+4
2016-09-13Updated cad/py-gds to 1.0mef3-8/+13
2016-09-09add pkg-config to USE_TOOLSplunky1-2/+2
2016-09-09add a note about using BOOST_MATH_NO_LONG_DOUBLE_MATH_FUNCTIONSplunky1-1/+5
2016-09-09also depends on freetype2plunky1-1/+2
2016-09-08Update kicad packages to 4.0.4, and apply a patch from the master branchbouyer41-4165/+5125
2016-09-05Update to LibreCAD 2.1.1plunky8-93/+1516
2016-09-02don't need to specify EIGENDIR since eigen3 pkg-config is fixedplunky1-4/+2
2016-09-01Update OpenSCAD to 2015.03p2plunky10-149/+196
2016-09-01Updated cad/gtkwave 3.3.74 to 3.3.76mef2-8/+7
2016-08-30fix patchsumplunky1-2/+2
2016-08-30Update the QCAD parts library to the latest versionsplunky4-9735/+16869
2016-08-30Upgrade QCAD to version 3.15.5.3plunky51-367/+19650
2016-08-30remove cad/qcad-manual-* packages.plunky18-1587/+1
2016-08-03Revbump after graphics/gd updateadam10-17/+20
2016-08-01Updated cad/gtkwave to 3.3.74mef2-7/+7
2016-07-24Fixed pkglint warnings about unknown sed commands.rillig1-7/+7
2016-07-22Updated cad/py-gds to 0.9mef3-11/+17
2016-07-22Added cad/py-gds version 0.7.1mef1-1/+2
2016-07-22Import py27-gds-0.7.1 as cad/py-gds.mef4-0/+48
2016-07-12Updated cad/klayout to 0.24.8mef2-7/+7
2016-07-09Remove python33: adapt all packages that refer to it.wiz1-2/+2
2016-07-09Bump PKGREVISION for perl-5.24.0 for everything mentioning perl.wiz5-10/+10
2016-06-13(pkgsrc)mef2-7/+8
2016-06-08Bump PKGREVISION for perl-5.24.wiz1-1/+2
2016-06-08Switch to MASTER_SITES_PYPI.wiz1-2/+2
2016-06-05Updated cad/eagle to 7.6.0, ( Following is from doc/UPDATE_en)mef3-9/+28
2016-06-01Force creation of dep directories to prevent race conditions during thejoerg1-1/+4
2016-05-14Updated cad/klayout to 0.24.7mef2-7/+7
2016-04-21Use PKGMANDIR. Use SUBST_VARS instead of manual SUBST_SEDs.jperkin3-8/+6